Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226289 - Merge Review: perl-XML-Parser
Summary: Merge Review: perl-XML-Parser
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:39 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:38:54 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:39:04 UTC
Fedora Merge Review: perl-XML-Parser

http://cvs.fedora.redhat.com/viewcvs/devel/perl-XML-Parser/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 09:17:46 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 2:5.8.0
2)you may like to use disttag
3)rpmlint on RPM gave me ->
perl-XML-Parser.i386: W: file-not-utf8
/usr/share/doc/perl-XML-Parser-2.34/samples/REC-xml-19980210.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
==> use iconv command in SPEC.



Comment 2 Robin Norwood 2007-10-25 18:20:26 UTC
1, 2, and 3 fixed.

New version is perl-XML-Parser-2.34.10.fc9

Comment 3 Parag AN(पराग) 2007-10-26 03:34:17 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
84d9e0001fe01c14867256c3fe115899  XML-Parser-2.34.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/astress.........ok
t/cdata...........ok
t/decl............ok
t/defaulted.......okt/encoding........"my" variable $p masks earlier declaration
in same scope at t/encoding.t line 94.
ok
t/external_ent....ok
t/file............okt/finish..........ok
t/namespaces......ok
t/parament........ok
t/partial.........ok
t/skip............ok
t/stream..........ok
t/styles..........ok
All tests successful.
Files=14, Tests=130,  1 wallclock secs ( 0.71 cusr +  0.18 csys =  0.89 CPU)
+ Package perl-XML-Parser-2.34-10.fc8 ->
Provides: Expat.so perl(XML::Parser) = 2.34 perl(XML::Parser::ContentModel)
perl(XML::Parser::Encinfo) perl(XML::Parser::Expat) = 2.34
perl(XML::Parser::ExpatNB) perl(XML::Parser::Style::Debug)
perl(XML::Parser::Style::Objects) perl(XML::Parser::Style::Stream)
perl(XML::Parser::Style::Subs) perl(XML::Parser::Style::Tree)
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4) libexpat.so.1 perl >= 0:5.004 perl(:MODULE_COMPAT_5.8.8)
perl(Carp) perl(DynaLoader) perl(LWP) perl(URI) perl(overload) perl(strict)
perl(vars) rtld(GNU_HASH)

APPROVED.

You can CLOSE this review as reviewed package is already built in rawhide.


Comment 4 Parag AN(पराग) 2007-11-11 07:04:21 UTC
Can we CLOSE this review if package is already built and in rawhide?


Note You need to log in before you can comment on or make changes to this bug.